local function debug(A, B, C, D) end

local LastUpdateFullHour = ''

fogcache_periodic = {}

function fogcache_periodic.sendUpdateQuery(Config, FullFetchSchedule)
  
   local Ts = os.time()
   local CurrentFullHour = os.date('%Y-%m-%d %H:00', Ts)
   local CurrentHour = os.date('%H:00', Ts)
   
   debug(LastUpdateFullHour)
   debug(CurrentFullHour)
   
   local FullFetch = false
   
   if LastUpdateFullHour == '' then
      FullFetch = true
   elseif FullFetchSchedule[CurrentHour] and LastUpdateFullHour ~= CurrentFullHour then
      FullFetch = true
   end
   debug(FullFetch)
   
   local QueryString = 'FetchPageId=#'
   
   if FullFetch then
      LastUpdateFullHour = CurrentFullHour
      QueryString = 'FetchPageId=*'
   end
   debug('QueryString:', QueryString)
   queue.push{data=QueryString}
end
